{% extends "core/logged.html" %}

{% block aside %}
{% include 'core/aside_menu.html' %}
{% endblock aside %}

{% block content %}
	<div class="content-wrapper">

		<section class="content-header">
	      <h1>
	        Pontos
	      </h1>
	      <ol class="breadcrumb">
	        <li><a href="{% url 'admin:index' %}"><i class="fa fa-home"></i>Home</a></li>
	        <li class="active"><a href="#">Pontos</a></li>
	      </ol>
	    </section>
		
		<section class="content">
			<div class="box">
            <div class="box-header">
              <h3 class="box-title">Pontos Cadastrados</h3>

              <div class="box-tools">
                <div class="input-group input-group-sm">
                	<a class="btn btn-primary text-uppercase" href="{% url 'admin:create_ponto' %}">Novo Ponto</a>
                </div>
              </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
              <table class="table table-hover">
                <tbody>
                	<tr>
	                 	<th>#</th>
	                  	<th>Ordem</th>
	                  	<th>Linha</th>
	                  	<th>Data</th>
	                  	<th>Hora</th>
	                  	<th>Processo</th>
	                  	<th>Litros</th>
	                  	<th>Tipo do Ponto</th>
	                  	<th>Ponto</th>
	                  	<th>Realizado</th>
	                  	<th></th>
	                </tr>
                {% for ponto in pontos %}
	                <tr>
	                  	<td>{% if ponto.id %}{{ponto.id}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.ordem %}{{ponto.ordem}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.linha %}{{ponto.linha}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.data %}{{ponto.data}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.hora %}{{ponto.hora}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.processo %}{{ponto.processo}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.litros %}{{ponto.litros}}{%else%}--{%endif%}</td>
	                  	<td>{% if ponto.tipoPonto %}{{ponto.tipoPonto}}{%else%}--{%endif%} </td>
	                  	<td>
	                  		{% if ponto.entreposto %}
	                  			{{ponto.entreposto.nome}}
                  			{%else%}
                  				{% if ponto.fazenda %}
	                  				{{ponto.fazenda.nome}}
                  				{%else%}
                  					{{ponto.laticinio.nome}}
              					{%endif%}
              				{%endif%}
	                  	</td>
	                  	<td>
	                  		{% if ponto.foi_feito == True %}
	                  			<span><i class="fa fa-check"></i></span>
	                  		{% else %}
	                  			<span><i class="fa fa-times"></i></span>
	                  		{% endif %}
	                  	</td>
	                  	<td>
	                  		<!-- {% if ponto.mostrar == True %}
	                  			<a href="{% url 'admin:mostrar_empresa' id=ponto.id %}" class="btn btn-success btn-sm"><i class="fa fa-eye"></i></a>
	                  		{% else %}
	                  			<a href="{% url 'admin:mostrar_empresa' id=ponto.id %}" class="btn btn-default btn-sm"><i class="fa fa-eye-slash"></i></a>
	                  		{% endif %} -->
	                  		<a href="{% url 'admin:update_ponto' pk=ponto.id %}" class="btn btn-warning btn-sm"><i class="fa fa-edit"></i></a>
	                  		<a href="{% url 'admin:delete_ponto' id=ponto.id %}" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
	                  	</td>
	                </tr>
                {% endfor %}
              	</tbody>
              </table>
            </div>
            <!-- /.box-body -->
          </div>
		</section>
		
    </div>
{% endblock content %}